/**
 * apeman react package label component.
 * @constructor ApLabel
 */

'use strict'

import React, {PropTypes as types} from 'react'
import classnames from 'classnames'
import {ApPureMixin, ApTouchMixin} from 'apeman-react-mixins'

/** @lends ApLabel */
const ApLabel = React.createClass({

  // --------------------
  // Specs
  // --------------------

  propTypes: {
    htmlFor: types.string
  },

  mixins: [
    ApPureMixin,
    ApTouchMixin
  ],

  statics: {},

  getInitialState () {
    return {}
  },

  getDefaultProps () {
    return {
      htmlFor: null
    }
  },

  render () {
    const s = this
    let { props } = s

    return (
      <label { ...props }
        className={ classnames("ap-label", props.className) }
        htmlFor={ props.htmlFor }
      >{ props.children }</label>
    )
  },

  // --------------------
  // For ApTouchMixin
  // --------------------
  getTouchData() {
    const s = this
    let { props } = s
    return props.data;
  }
})

module.exports = ApLabel;
